<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_gradient"
            android:paddingBottom="@dimen/default_margin"
            android:paddingLeft="@dimen/default_margin_x0_5"
            android:paddingRight="@dimen/default_margin_x0_5"
            android:paddingTop="@dimen/default_margin">

            <ImageButton
                android:id="@+id/iBtnDismiss"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@null"
                android:src="@drawable/ic_close_white_24dp" />

            <RelativeLayout
                android:id="@+id/rlSearchInput"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/iBtnDismiss"
                android:layout_marginTop="@dimen/default_margin"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/etSearch"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/selector_edittext_bg"
                    style="@style/EditTextStyle"
                    android:hint="@string/search_home_search_hint"
                    android:paddingTop="@dimen/default_margin"
                    android:paddingBottom="@dimen/default_margin"
                    android:paddingLeft="@dimen/default_margin"
                    android:paddingRight="40dp"
                    android:singleLine="true" />

                <ImageButton
                    android:id="@+id/iBtnClear"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/default_margin_x0_5"
                    android:background="@null"
                    android:src="@drawable/ic_fermer_24dp"
                    android:visibility="gone"
                    tools:visibility="visible" />
            </RelativeLayout>

        </RelativeLayout>

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginLeft="@dimen/default_margin_x0_5"
            android:layout_marginRight="@dimen/default_margin_x0_5"
            android:layout_weight="1"
            android:clickable="true"
            android:foreground="?android:attr/selectableItemBackground"
            card_view:cardBackgroundColor="@color/material_white"
            card_view:cardElevation="8dp">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rvAutocomplete"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/searchHomeBackground" />

        </androidx.cardview.widget.CardView>
    </LinearLayout>
</layout>